[API Reference](../README.md) > [WrapperServiceInitializeOptions](../interfaces/WrapperServiceInitializeOptions.md)

# Interface: WrapperServiceInitializeOptions

## Hierarchy

**WrapperServiceInitializeOptions**

↳  [InitializeArcOptions](InitializeArcOptions.md)

## Index

### Properties

* [filter](WrapperServiceInitializeOptions.md#filter)

---

## Properties

<a id="filter"></a>

### `<Optional>` filter

**● filter**: *[WrapperFilter](WrapperFilter.md)*

*Defined in [wrapperService.ts:453](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L453)*

Optional filter to only initialize the contracts whose name is set to `true`. Any contracts that are omitted or set to `false` here will appear as `null` in `WrapperService.wrappers` and `WrapperService.wrappersByType`, and will not be available in `WrapperService.wrappersByAddress`. But their factories will still be available in `WrapperService.factories`. See [Optimized Contract Loading](/Wrappers.md#optimizedcontractloading) for more information.

___

